Bug 89365 - wish: more standard menu structure
Summary: wish: more standard menu structure
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Usability-Menus (show other bugs)
Version: 0.7.0
Platform: unspecified Linux
: NOR wishlist with 70 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-12 18:03 UTC by Wilbert Berendsen
Modified: 2017-08-02 21:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.2


Attachments
ui file that performs most of the proposed changes in main app (3.38 KB, text/plain)
2004-09-12 19:39 UTC, Wilbert Berendsen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wilbert Berendsen 2004-09-12 18:03:39 UTC
Version:           0.7.0-cvs (using KDE 3.3.0, compiled sources)
Compiler:          gcc version 3.3.4 20040623 (Gentoo Linux 3.3.4-r1, ssp-3.3.2-2, pie-8.7.6)
OS:                Linux (i686) release 2.6.7-gentoo-r14

Maybe it would be nice if the menustructure could be a little more like KDE. This has been discussed earlier, but maybe a good moment is before 0.7.0(?)  I think some actions belong in other places, but feel free to ignore these thoughts altogether :-)

My main gripe is that many actions are scattered across the Album, Image and Tools menu, and that display settings are in different menus as well (Album, View, Settings). In the editor different image operations are also put in (imho) too many menus.

The Album entry could be renamed to File (but Album fits well as well, just as Konqueror uses Location, and KMail Message (in composer)).

Here is a menu structure proposal for the main application and then for the editor:

Main application:

File->
- New Album
- Edit Album Properties
- Delete Album from disk  (currently too close to the exit option, i already activated it erroneously while I wanted to exit Digikam. The 'New Album' and 'Edit Album Properties' menu entries are most times used from the context menu.)
-------------
- Open Album in ->
  - Konqueror
  - Nautilus
- Import ->
  - From Camera...
  - From Scanner...
  - From disk...
  - Screenshot...
- Export ->
  - Webpage (HTML)...
  - Archive to CD...
- Print
-----------------
- Exit Digikam


Edit ->
- Undo (Not Implemented Yet)
- Redo (Not Implemented Yet)
------------
- Cut (Not Implemented Yet)
- Copy (Not Implemented Yet)
- Paste  (Not Implemented Yet)
------------
- Select all
- Select none
- Invert selection
------------
- Rename image
- Delete image


View ->
- Bigger thumbnails
- Smaller thumbnails
--------------------
- Sort albums ->
  - on Folder
  - on Date
  - on Collection
- Sort images->
  - on Name
  - on Path
  - on Date
  - on Size


Image->
- View/Edit
- Edit comments and tags
- Properties
-----------------------
- Normalize Exif rotation
- Rotate ->
  - 90 degrees clockwise
  - 180 degrees
  - 90 degrees counter-clockwise
- Flip ->
  - Horiz.
  - Vert.
----------------------
- Set As Wallpaper ->


- Tags->
  - New Tag
  - Edit Tag Properties
  - Delete Tag


Camera-> Delete menu or leave it as it is today. It's handy, but also the toolbar button can be used, and the camera can also be reached from File->Import.


Tools->
- Search for double images...
- Convert images to black and white...
- Adjust date/time...
- Send images by mail...
- etc; the other Tools.


Settings->
- Show/Hide toolbar
- Style->
  - Default
  - Marine
  - Dreary
  - etc.
- Toggle Fullscreen
-----------------
- Configure shortcuts...
- Configure toolbars...
- Configure Digikam...


Help: just as it is today :-)


And for the image editor:


File->
  just as it is today


Edit->
- Undo  (Not Implemented Yet)
- Redo  (Not Implemented Yet)
--------------------
- Comments
- Properties
--------------------
- Rotate->
  - 90 cw
  - 180
  - 90 ccw
  - Free rotation...
- Flip->
  - Horiz
  - Vert.
--------------------
- Crop
- Scale...


View->
- Zoom in
- Zoom out
- Fit to Window
-------------
- Toggle Fullscreen


Tools->
- Show Histogram
- Show EXIF-information
---------------
- Sharpness->
  - Sharpen
  - Blur
  --------------
  - Unsharp mask
- Colors->
  - Brightness/contrast/gamma...
  - Hue/Saturation/lightness...
  - Color balance
  -------------------
  - Normalize
  - Equalize
  - Automatic
  - Level adjust
- Optimize->
  - Noise reduction...
  - Red eye reduction...
------------------
- Solarize...
- Sepia...
- Oil painting
- etc, more filters...


Help->
  just as it is now, plus a 'whats this' :)



Just my 0.02€ :)

I really love Digikam, and it's light and intuitive interface.
Comment 1 Wilbert Berendsen 2004-09-12 19:39:18 UTC
Created attachment 7497 [details]
ui file that performs most of the proposed changes in main app
Comment 2 Lukas Zapletal 2006-12-15 08:25:12 UTC
And please make a choice to force the program not to open new windows when clicking on photo. I dont like new windows.
Comment 3 Arnd Baecker 2007-01-24 09:02:37 UTC
Ad menu: Digikam->Tag->New Tag
If the left side-bar shows the albums, creating a new tag via the above menu, 
it is not clear where in the hierarchy a new tag is added.
It turns out, that it is being added in presently active sub-tree
(as would be visible in the Tags side-bar).
Maybe "New Tag" should be greyed out when the Tags side-bar (or any
tags related side-bar) is not visible?
(BTW: I hardly use that menu, but each users has its own preferences ;-)
Comment 4 Arnd Baecker 2007-01-24 09:06:26 UTC
Image-Editor menus: I very often use: Fix->Colors.
Because both Fix and Colors are large menus, it seems
more convenient to have the Colors as a separate main menu to me.
Comment 5 Gerhard Kulzer 2007-03-21 12:56:47 UTC
Image Editor Menu 0.9.2:

I try to synthesize my proposal of this morning, integrating the suggestions by Mikolaj and Luka.

The guiding logic seems to be:
1. Follow common menu practice (like File at left and Help to the right)
2. Group similar action under a menu, keep them about same size 
3. Group similar actions within the menu, make sub-groups of themes
4. Put most often used actions to the top

File (as is 0.9.1)

Edit (as is)

View (as is)

Color 
 - Auto-Correction
 - White Balance
 - Brightness/Contrast/Gamma
 - Hue Saturation/Lightness
 - Color Effects
 - Color Balance
--------------
 - Curves Adjust
 - Level Adjust
 - Channel Mixer
--------------
 - Invert
 - Black and White
 - Color Management
 - Color Depth

Correct
 - Sharpen
 - Blur
--------------------
 - Red Eye Reduction
 - Inpainting
 - Noise Reduction
 - Restoration
--------------------
 - Hot Pixels
 - Anti-Vignetting
 - Lens Distortion

Transform
- Rotate left
- Rotate right
- Free rotation
--------------
- Flip horizontally
- Flip vertically
--------------
- Change Size
- Aspect Ration Crop
- Shear
- Perspective

Decoration 
 - Apply texture
 - Add Border
 - Insert Text
 - Template Superimpose

Effects (or Filters)
 - Infrared Film
 - Filmgrain
 - Oilpaint
 - Charcoal Drawing
 - Emboss
 - Distortion effect
 - Blur Effects
 - Raindrops

Settings (as is)

Help (as is)

I feel that since 'Blow-up' is part of Resize, this term is too limiting, indicates rather reduction. 'Change size' is more open and suggests as much increase than decrease of size.

Gerhard
Comment 6 caulier.gilles 2007-03-21 13:42:19 UTC
Luka,

Just one word about DigikamImagePlugins & digiKam merging in svn: 
all plugins have been moved to digiKam this morning and i will port progressivly all to digiKam core. 2 plugins have completed : Adjust Curves and Adjust Levels.

When all plugins will be ported, the editor menu structure can be re-organized.

I  will ping you again in this room when all wil be done.

Gilles
Comment 7 Gerhard Kulzer 2007-03-21 17:24:45 UTC
So, this might be the final proposal?

 File (as is 0.9.1) 
 
 Edit (as is) 
 
 View (as is) 
 
 Color 
  - Auto-Correction... 
  - White Balance... 
  - Brightness/Contrast/Gamma...
  - Hue Saturation/Lightness... 
  - Color Effects... 
  - Color Balance... 
 -------------- 
  - Curves Adjust... 
  - Level Adjust... 
  - Channel Mixer... 
 -------------- 
  - Invert 
  - Black and White... 
  - Color Management... 
  - Color Depth -> 
 
 Correct 
  - Sharpen... 
  - Blur... 
 -------------------- 
  - Red Eye Reduction... 
  - Inpainting... 
  - Noise Reduction... 
  - Restoration... 
 -------------------- 
  - Hot Pixels... 
  - Anti-Vignetting... 
  - Lens Distortion... 
 
 Transform 
 - Rotate left 
 - Rotate right 
 - Free rotation... 
 -------------- 
 - Flip horizontally 
 - Flip vertically 
 -------------- 
 - Change Size... 
 - Aspect Ration Crop...
 - Shear... 
 - Perspective...
 
 Decoration 
  - Apply texture... 
  - Add Border... 
  - Insert Text... 
  - Template Superimpose...
 
 Effects (or Filters) 
  - Infrared Film...
  - Filmgrain...
  - Oilpaint...
  - Charcoal Drawing...
  - Emboss...
  - Distortion effect...
  - Blur Effects...
  - Raindrops...
 
 Settings (as is) 
 
 Help (as is) 
 
Comment 8 caulier.gilles 2007-03-22 08:49:52 UTC
Luka,

DigikamImagePlugins port into digiKam core is now complete. You can re-organize all menu structures from image editor/showfoto now...

Gilles
Comment 9 Luka Renko 2007-03-23 22:37:47 UTC
I have committed to SVN first part of this change:
r645911 | lure | 2007-03-23 22:29:32 +0100 (Fri, 23 Mar 2007) | 20 lines

Restructure Digikam Image Editor menu
- Fix/Colors: moved to Color top level menu
- Fix: now Correct
- Renamed some actions in Correct: removed Reduction, Correction and Anti-
- Image: now Decoration
- Filters: now Effects
- Rotate left/right and Flip horiz/vert moved one level up (faster access)

TODO:
- order of menu items - have to control order how plugins are loaded
- separators - same as above + issue with disabled plugins

Open issues:
- decide if menu is verb or noun: Correct/Transform vs. Decoration
- "Decoration" may be strange for photo edit app, maybe simple "Tools" is better
- Correct -> Restoration... sounds strange, but no better idea
Comment 10 caulier.gilles 2007-03-23 22:58:31 UTC
In first, you has right. Menu structure is more fine and clear like this.

Too point for me : 

- I prefer "Fix" instead "Correct". We need a native English guy to choose the right term.
- I prefer "Filters" instead "Effects". More generic and used as well in others photo tools like Krita and Photoshop
- i prefer "Tools" instead "Decoration". Same reasons than "Effects".

About :

>TODO: 
> - order of menu items - have to control order how plugins are loaded 
> - separators - same as above + issue with disabled plugins 

==> Luka, I think you has right. Setup image plugins can be removed since digiKam and DigikamImagePlugins are merged. If you take a look into Photoshop, gimp, krita, there is no similar setup...

Gilles Caulier



Comment 11 caulier.gilles 2007-03-23 23:01:06 UTC
Note : related B.K.O file about Setup image plugins is here :

http://bugs.kde.org/show_bug.cgi?id=139466

Gilles
Comment 12 Luka Renko 2007-03-26 11:29:23 UTC
SVN commit 645911 by lure:

Restructure Digikam Image Editor menu
- Fix/Colors: moved to Color top level menu
- Fix: now Correct
- Renamed some actions in Correct: removed Reduction, Correction and Anti-
- Image: now Decoration
- Filters: now Effects
- Rotate left/right and Flip horiz/vert moved one level up (faster access)

TODO: 
- order of menu items - have to control order how plugins are loaded
- separators - same as above + issue with disabled plugins

Open issues:
- decide if menu is verb or noun: Correct/Transform vs. Decoration
- "Decoration" may be strange for photo edit app, maybe simple "Tools" is better
- Correct -> Restoration... sounds strange, but no better idea

CCBUG: 89365



 M  +3 -1      NEWS  
 M  +4 -7      imageplugins/adjustcurves/digikamimageplugin_adjustcurves_ui.rc  
 M  +4 -7      imageplugins/adjustlevels/digikamimageplugin_adjustlevels_ui.rc  
 M  +3 -3      imageplugins/antivignetting/digikamimageplugin_antivignetting_ui.rc  
 M  +3 -3      imageplugins/antivignetting/imageeffect_antivignetting.cpp  
 M  +1 -1      imageplugins/antivignetting/imageplugin_antivignetting.cpp  
 M  +3 -3      imageplugins/blurfx/digikamimageplugin_blurfx_ui.rc  
 M  +3 -3      imageplugins/border/digikamimageplugin_border_ui.rc  
 M  +3 -6      imageplugins/channelmixer/digikamimageplugin_channelmixer_ui.rc  
 M  +3 -3      imageplugins/charcoal/digikamimageplugin_charcoal_ui.rc  
 M  +3 -3      imageplugins/colorfx/digikamimageplugin_colorfx_ui.rc  
 M  +8 -10     imageplugins/coreplugin/digikamimageplugin_core_ui.rc  
 M  +1 -1      imageplugins/coreplugin/imageplugin_core.cpp  
 M  +3 -3      imageplugins/distortionfx/digikamimageplugin_distortionfx_ui.rc  
 M  +3 -3      imageplugins/emboss/digikamimageplugin_emboss_ui.rc  
 M  +3 -3      imageplugins/filmgrain/digikamimageplugin_filmgrain_ui.rc  
 M  +2 -2      imageplugins/freerotation/digikamimageplugin_freerotation_ui.rc  
 M  +3 -3      imageplugins/hotpixels/digikamimageplugin_hotpixels_ui.rc  
 M  +1 -1      imageplugins/hotpixels/imageplugin_hotpixels.cpp  
 M  +3 -3      imageplugins/infrared/digikamimageplugin_infrared_ui.rc  
 M  +3 -3      imageplugins/inpainting/digikamimageplugin_inpainting_ui.rc  
 M  +3 -3      imageplugins/inserttext/digikamimageplugin_inserttext_ui.rc  
 M  +3 -3      imageplugins/lensdistortion/digikamimageplugin_lensdistortion_ui.rc  
 M  +1 -1      imageplugins/lensdistortion/imageplugin_lensdistortion.cpp  
 M  +3 -3      imageplugins/noisereduction/digikamimageplugin_noisereduction_ui.rc  
 M  +3 -3      imageplugins/oilpaint/digikamimageplugin_oilpaint_ui.rc  
 M  +2 -2      imageplugins/perspective/digikamimageplugin_perspective_ui.rc  
 M  +3 -3      imageplugins/raindrop/digikamimageplugin_raindrop_ui.rc  
 M  +3 -3      imageplugins/restoration/digikamimageplugin_restoration_ui.rc  
 M  +2 -2      imageplugins/sheartool/digikamimageplugin_sheartool_ui.rc  
 M  +3 -3      imageplugins/superimpose/digikamimageplugin_superimpose_ui.rc  
 M  +3 -3      imageplugins/texture/digikamimageplugin_texture_ui.rc  
 M  +3 -6      imageplugins/whitebalance/digikamimageplugin_whitebalance_ui.rc  
 M  +18 -7     utilities/imageeditor/editor/digikamimagewindowui.rc  
 M  +19 -25    utilities/imageeditor/editor/editorwindow.cpp  
 M  +2 -7      utilities/imageeditor/editor/editorwindowprivate.h  
Comment 13 Luka Renko 2007-03-26 11:34:23 UTC
SVN commit 645935 by lure:

Restructure ShowFoto menu (to match Digikam Image Editor)

CCBUG: 89365


 M  +18 -8     showfotoui.rc  


--- trunk/extragear/graphics/digikam/showfoto/showfotoui.rc #645934:645935
@@ -1,5 +1,5 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<gui version="14" name="showfoto" >
+<gui version="15" name="showfoto" >
 
 <MenuBar>
 
@@ -46,21 +46,30 @@
         <Action name="editorwindow_cmview" />        
     </Menu>
 
-    <Menu name="Image" ><text>&amp;Image</text>
-        <Separator/>
+    <Menu name="Color" ><text>&amp;Color</text>
     </Menu>
 
-    <Menu name="Fix" ><text>Fi&amp;x</text>
+    <Menu name="Correct" ><text>Co&amp;rrect</text>
         <ActionList name="showfoto_bcg" />
     </Menu>
 
-    <Menu name="Transform" ><text>&amp;Transform</text>
-        <Action name="editorwindow_rotate" />
-        <Action name="editorwindow_flip" />    
+    <Menu name="Transform" ><text>Tra&amp;nsform</text>
+        <Action name="editorwindow_rotate_left" />
+        <Action name="editorwindow_rotate_right" />
+        <Separator/>
+        <Action name="editorwindow_flip_horiz" />    
+        <Action name="editorwindow_flip_vert" />    
+        <Separator/>
         <Action name="editorwindow_crop" />
         <Action name="editorwindow_resize" /> 
     </Menu>
 
+    <Menu name="Decoration" ><text>&amp;Decoration</text>
+    </Menu>
+
+    <Menu name="Effects" ><text>Effec&amp;ts</text>
+    </Menu>
+
     <Menu name="help" ><text>&amp;Help</text>
         <Action name="editorwindow_imagepluginshelp" />
         <Separator/>
@@ -100,7 +109,8 @@
     <Action name="editorwindow_zoomminus" />
     <Action name="editorwindow_zoomfit" />
     <Separator/>
-    <Action name="editorwindow_rotate" /> 
+    <Action name="editorwindow_rotate_left" /> 
+    <Action name="editorwindow_rotate_right" /> 
     <Action name="editorwindow_crop" />
     <Separator/>
     <Action name="editorwindow_fullscreen" /> 
Comment 14 Louis Roederer 2007-03-27 14:43:25 UTC
Gilles,

As to your question about Correct, Effects, and Decoration menus:

I thing "Enhance" may be better than Fix or Correct.  Fix and correct imply that something is "broken" or "wrong."  Enhance means "to make better" and may be more appropriate.  It also sounds professional.

I prefer Filters.  I think that term is generally known to photographers and, as you said, is consistent with Photoshop, etc.

I prefer Tools to Decorations.  I don't really think "Decorations" is the best word in this case.  I don't have a particular reason; it just seems a strange choice of words to me.  Tools is familiar.

I hope that helps.  Let me know if I can help with anything else.  On weekends, you can reach me faster at louis dot roederer at gmail dot com.
Comment 15 caulier.gilles 2007-03-27 15:22:13 UTC
I'm agree with Louis comments.

Nota : Louis is a native English guy (:=)))

Gilles
Comment 16 caulier.gilles 2007-04-05 12:43:21 UTC
Luka,

Well, what new about this file (:=)))...

Gilles
Comment 17 caulier.gilles 2007-04-07 22:33:18 UTC
SVN commit 651472 by cgilles:

digikam from trunk : Usability issues : fix Image Editor Menu entries. 
BUG: 89365

 M  +2 -3      imageplugins/adjustcurves/digikamimageplugin_adjustcurves_ui.rc  
 M  +2 -3      imageplugins/adjustlevels/digikamimageplugin_adjustlevels_ui.rc  
 M  +2 -3      imageplugins/antivignetting/digikamimageplugin_antivignetting_ui.rc  
 M  +2 -3      imageplugins/blurfx/digikamimageplugin_blurfx_ui.rc  
 M  +2 -3      imageplugins/border/digikamimageplugin_border_ui.rc  
 M  +2 -3      imageplugins/channelmixer/digikamimageplugin_channelmixer_ui.rc  
 M  +2 -3      imageplugins/charcoal/digikamimageplugin_charcoal_ui.rc  
 M  +2 -3      imageplugins/colorfx/digikamimageplugin_colorfx_ui.rc  
 M  +6 -11     imageplugins/coreplugin/digikamimageplugin_core_ui.rc  
 M  +2 -3      imageplugins/distortionfx/digikamimageplugin_distortionfx_ui.rc  
 M  +2 -3      imageplugins/emboss/digikamimageplugin_emboss_ui.rc  
 M  +2 -3      imageplugins/filmgrain/digikamimageplugin_filmgrain_ui.rc  
 M  +2 -3      imageplugins/freerotation/digikamimageplugin_freerotation_ui.rc  
 M  +2 -3      imageplugins/hotpixels/digikamimageplugin_hotpixels_ui.rc  
 M  +2 -3      imageplugins/infrared/digikamimageplugin_infrared_ui.rc  
 M  +2 -3      imageplugins/inpainting/digikamimageplugin_inpainting_ui.rc  
 M  +2 -3      imageplugins/inserttext/digikamimageplugin_inserttext_ui.rc  
 M  +2 -3      imageplugins/lensdistortion/digikamimageplugin_lensdistortion_ui.rc  
 M  +2 -3      imageplugins/noisereduction/digikamimageplugin_noisereduction_ui.rc  
 M  +2 -3      imageplugins/oilpaint/digikamimageplugin_oilpaint_ui.rc  
 M  +2 -3      imageplugins/perspective/digikamimageplugin_perspective_ui.rc  
 M  +2 -3      imageplugins/raindrop/digikamimageplugin_raindrop_ui.rc  
 M  +2 -3      imageplugins/restoration/digikamimageplugin_restoration_ui.rc  
 M  +2 -3      imageplugins/sheartool/digikamimageplugin_sheartool_ui.rc  
 M  +2 -3      imageplugins/superimpose/digikamimageplugin_superimpose_ui.rc  
 M  +2 -3      imageplugins/texture/digikamimageplugin_texture_ui.rc  
 M  +2 -3      imageplugins/whitebalance/digikamimageplugin_whitebalance_ui.rc  
 M  +3 -3      showfoto/showfotoui.rc  
 M  +2 -2      utilities/imageeditor/editor/digikamimagewindowui.rc  


--- trunk/extragear/graphics/digikam/imageplugins/adjustcurves/digikamimageplugin_adjustcurves_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_adjustcurves" >
+<kpartgui version="5" name="digikamimageplugin_adjustcurves" >
 
  <MenuBar>
 
-   <Menu name="Color" >
-    <text>&amp;Color</text>
+   <Menu name="Color" ><text>&amp;Color</text>
      <Action name="imageplugin_adjustcurves" /> 
    </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/adjustlevels/digikamimageplugin_adjustlevels_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_adjustlevels" >
+<kpartgui version="5" name="digikamimageplugin_adjustlevels" >
 
  <MenuBar>
 
-   <Menu name="Color" >
-    <text>&amp;Color</text>
+   <Menu name="Color" ><text>&amp;Color</text>
      <Action name="imageplugin_adjustlevels" /> 
    </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/antivignetting/digikamimageplugin_antivignetting_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_antivignetting" >
+<kpartgui version="5" name="digikamimageplugin_antivignetting" >
 
  <MenuBar>
 
-  <Menu name="Enhance" >
-   <text>Enh&amp;ance</text>
+  <Menu name="Enhance" ><text>Enh&amp;ance</text>
    <Action name="imageplugin_antivignetting" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/blurfx/digikamimageplugin_blurfx_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_blurfx" >
+<kpartgui version="5" name="digikamimageplugin_blurfx" >
 
  <MenuBar>
 
-  <Menu name="Filter" >
-   <text>F&amp;ilter</text>
+  <Menu name="Filters" ><text>F&amp;ilters</text>
    <Action name="imageplugin_blurfx" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/border/digikamimageplugin_border_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="5" name="digikamimageplugin_border" >
+<kpartgui version="6" name="digikamimageplugin_border" >
 
  <MenuBar>
 
-  <Menu name="Decorate" >
-   <text>&amp;Decorate</text>
+  <Menu name="Decorate" ><text>&amp;Decorate</text>
    <Action name="imageplugin_border" />
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/channelmixer/digikamimageplugin_channelmixer_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_channelmixer" >
+<kpartgui version="5" name="digikamimageplugin_channelmixer" >
 
  <MenuBar>
 
-   <Menu name="Color">
-     <text>&amp;Color</text>
+   <Menu name="Color"><text>&amp;Color</text>
       <Action name="imageplugin_channelmixer" /> 
    </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/charcoal/digikamimageplugin_charcoal_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="5" name="digikamimageplugin_charcoal" >
+<kpartgui version="6" name="digikamimageplugin_charcoal" >
 
  <MenuBar>
 
-  <Menu name="Filter" >
-   <text>F&amp;ilter</text>
+  <Menu name="Filters" ><text>F&amp;ilters</text>
    <Action name="imageplugin_charcoal" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/colorfx/digikamimageplugin_colorfx_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="6" name="digikamimageplugin_colorfx" >
+<kpartgui version="7" name="digikamimageplugin_colorfx" >
 
  <MenuBar>
 
-  <Menu name="Color" >
-   <text>&amp;Color</text>
+  <Menu name="Color" ><text>&amp;Color</text>
    <Action name="imageplugin_colorfx" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/coreplugin/digikamimageplugin_core_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="6" name="digikamimageplugin_core" >
+<kpartgui version="7" name="digikamimageplugin_core" >
 
  <MenuBar>
 
-   <Menu name="Color">
-     <text>&amp;Color</text>
+   <Menu name="Color"><text>&amp;Color</text>
       <Action name="implugcore_autocorrection" /> 
       <Action name="imageplugin_whitebalance" /> 
       <Action name="implugcore_bcg" /> 
@@ -16,8 +15,7 @@
       <Action name="imageplugin_adjustlevels" />
       <Action name="implugcore_invert" /> 
       <Action name="implugcore_blackwhite" /> 
-      <Menu name="Depth">
-        <text>&amp;Depth</text>
+      <Menu name="Depth"><text>&amp;Depth</text>
         <Action name="implugcore_convertto8bits" />
         <Action name="implugcore_convertto16bits" />
       </Menu>
@@ -25,21 +23,18 @@
       <Action name="implugcore_colormanagement" />
       <Separator />
    </Menu>
-   <Menu name="Enhance">
-     <text>Enh&amp;ance</text>
+   <Menu name="Enhance"><text>Enh&amp;ance</text>
      <Action name="implugcore_sharpen" /> 
      <Action name="implugcore_blur" /> 
     <Separator />
     <Action name="implugcore_redeye" /> 
   </Menu>
 
-  <Menu name="Transform" >
-   <text>Tra&amp;nsform</text>
+  <Menu name="Transform" ><text>Tra&amp;nsform</text>
    <Action name="implugcore_ratiocrop" /> 
   </Menu>
 
-  <Menu name="Filter" >
-    <text>F&amp;ilter</text>
+  <Menu name="Filters" ><text>F&amp;ilters</text>
     <Action name="imageplugin_infrared" /> 
     <Action name="imageplugin_filmgrain" /> 
     <Action name="imageplugin_oilpaint" /> 
--- trunk/extragear/graphics/digikam/imageplugins/distortionfx/digikamimageplugin_distortionfx_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_distortionfx" >
+<kpartgui version="5" name="digikamimageplugin_distortionfx" >
 
  <MenuBar>
 
-  <Menu name="Filter" >
-   <text>F&amp;ilter</text>
+  <Menu name="Filters" ><text>F&amp;ilters</text>
    <Action name="imageplugin_distortionfx" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/emboss/digikamimageplugin_emboss_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_emboss" >
+<kpartgui version="5" name="digikamimageplugin_emboss" >
 
  <MenuBar>
 
-  <Menu name="Filter" >
-   <text>F&amp;ilter</text>
+  <Menu name="Filters" ><text>F&amp;ilters</text>
    <Action name="imageplugin_emboss" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/filmgrain/digikamimageplugin_filmgrain_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_filmgrain" >
+<kpartgui version="5" name="digikamimageplugin_filmgrain" >
 
  <MenuBar>
 
-  <Menu name="Filter" >
-   <text>F&amp;ilter</text>
+  <Menu name="Filters" ><text>F&amp;ilters</text>
    <Action name="imageplugin_filmgrain" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/freerotation/digikamimageplugin_freerotation_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="3" name="digikamimageplugin_freerotation" >
+<kpartgui version="4" name="digikamimageplugin_freerotation" >
 
  <MenuBar>
 
-  <Menu name="Transform" >
-   <text>Tra&amp;nsform</text>
+  <Menu name="Transform" ><text>Tra&amp;nsform</text>
    <Action name="imageplugin_freerotation" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/hotpixels/digikamimageplugin_hotpixels_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="3" name="digikamimageplugin_hotpixels" >
+<kpartgui version="4" name="digikamimageplugin_hotpixels" >
 
  <MenuBar>
 
-  <Menu name="Enhance" >
-   <text>Enh&amp;ance</text>
+  <Menu name="Enhance" ><text>Enh&amp;ance</text>
    <Action name="imageplugin_hotpixels" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/infrared/digikamimageplugin_infrared_ui.rc #651471:651472
@@ -1,9 +1,8 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_infrared" >
+<kpartgui version="5" name="digikamimageplugin_infrared" >
  <MenuBar>
 
-  <Menu name="Filter" >
-   <text>F&amp;ilter</text>
+  <Menu name="Filters" ><text>F&amp;ilters</text>
    <Action name="imageplugin_infrared" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/inpainting/digikamimageplugin_inpainting_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_inpainting" >
+<kpartgui version="5" name="digikamimageplugin_inpainting" >
 
  <MenuBar>
 
-  <Menu name="Enhance" >
-   <text>Enh&amp;ance</text>
+  <Menu name="Enhance" ><text>Enh&amp;ance</text>
       <Action name="imageplugin_inpainting" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/inserttext/digikamimageplugin_inserttext_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_inserttext" >
+<kpartgui version="5" name="digikamimageplugin_inserttext" >
 
  <MenuBar>
 
-  <Menu name="Decorate" >
-   <text>&amp;Decorate</text>
+  <Menu name="Decorate" ><text>&amp;Decorate</text>
    <Action name="imageplugin_inserttext" />
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/lensdistortion/digikamimageplugin_lensdistortion_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_lensdistortion" >
+<kpartgui version="5" name="digikamimageplugin_lensdistortion" >
 
  <MenuBar>
 
-  <Menu name="Enhance" >
-   <text>Enh&amp;ance</text>
+  <Menu name="Enhance" ><text>Enh&amp;ance</text>
    <Action name="imageplugin_lensdistortion" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/noisereduction/digikamimageplugin_noisereduction_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_noisereduction" >
+<kpartgui version="5" name="digikamimageplugin_noisereduction" >
 
  <MenuBar>
 
-  <Menu name="Enhance" >
-   <text>Enh&amp;ance</text>
+  <Menu name="Enhance" ><text>Enh&amp;ance</text>
       <Action name="imageplugin_noisereduction" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/oilpaint/digikamimageplugin_oilpaint_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_oilpaint" >
+<kpartgui version="5" name="digikamimageplugin_oilpaint" >
 
  <MenuBar>
 
-  <Menu name="Filter" >
-   <text>F&amp;ilter</text>
+  <Menu name="Filters" ><text>F&amp;ilters</text>
    <Action name="imageplugin_oilpaint" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/perspective/digikamimageplugin_perspective_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="3" name="digikamimageplugin_perspective" >
+<kpartgui version="4" name="digikamimageplugin_perspective" >
 
  <MenuBar>
 
-  <Menu name="Transform" >
-   <text>Tra&amp;nsform</text>
+  <Menu name="Transform" ><text>Tra&amp;nsform</text>
    <Action name="imageplugin_perspective" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/raindrop/digikamimageplugin_raindrop_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_raindrop" >
+<kpartgui version="5" name="digikamimageplugin_raindrop" >
 
  <MenuBar>
 
-  <Menu name="Filter" >
-   <text>F&amp;ilter</text>
+  <Menu name="Filters" ><text>F&amp;ilters</text>
    <Action name="imageplugin_raindrop" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/restoration/digikamimageplugin_restoration_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="3" name="digikamimageplugin_restorate" >
+<kpartgui version="4" name="digikamimageplugin_restorate" >
 
  <MenuBar>
 
-  <Menu name="Enhance" >
-   <text>Enh&amp;ance</text>
+  <Menu name="Enhance" ><text>Enh&amp;ance</text>
       <Action name="imageplugin_restorate" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/sheartool/digikamimageplugin_sheartool_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="3" name="digikamimageplugin_sheartool" >
+<kpartgui version="4" name="digikamimageplugin_sheartool" >
 
  <MenuBar>
 
-  <Menu name="Transform" >
-   <text>Tra&amp;nsform</text>
+  <Menu name="Transform" ><text>Tra&amp;nsform</text>
    <Action name="imageplugin_sheartool" /> 
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/superimpose/digikamimageplugin_superimpose_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="3" name="digikamimageplugin_superimpose" >
+<kpartgui version="4" name="digikamimageplugin_superimpose" >
 
  <MenuBar>
 
-  <Menu name="Decorate" >
-   <text>&amp;Decorate</text>
+  <Menu name="Decorate" ><text>&amp;Decorate</text>
    <Action name="imageplugin_superimpose" />
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/texture/digikamimageplugin_texture_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="3" name="digikamimageplugin_texture" >
+<kpartgui version="4" name="digikamimageplugin_texture" >
 
  <MenuBar>
 
-  <Menu name="Decorate" >
-   <text>&amp;Decorate</text>
+  <Menu name="Decorate" ><text>&amp;Decorate</text>
    <Action name="imageplugin_texture" />
   </Menu>
 
--- trunk/extragear/graphics/digikam/imageplugins/whitebalance/digikamimageplugin_whitebalance_ui.rc #651471:651472
@@ -1,10 +1,9 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="4" name="digikamimageplugin_whitebalance" >
+<kpartgui version="5" name="digikamimageplugin_whitebalance" >
 
  <MenuBar>
  
-   <Menu name="Color">
-     <text>&amp;Color</text>
+   <Menu name="Color"><text>&amp;Color</text>
       <Action name="imageplugin_whitebalance" /> 
    </Menu>
  
--- trunk/extragear/graphics/digikam/showfoto/showfotoui.rc #651471:651472
@@ -1,5 +1,5 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<gui version="16" name="showfoto" >
+<gui version="17" name="showfoto" >
 
 <MenuBar>
 
@@ -50,7 +50,7 @@
     <Menu name="Color" ><text>&amp;Color</text>
     </Menu>
 
-    <Menu name="Correct" ><text>Co&amp;rrect</text>
+    <Menu name="Enhance" ><text>Enh&amp;ance</text>
         <ActionList name="showfoto_bcg" />
     </Menu>
 
@@ -68,7 +68,7 @@
     <Menu name="Decoration" ><text>&amp;Decoration</text>
     </Menu>
 
-    <Menu name="Effects" ><text>Effec&amp;ts</text>
+    <Menu name="Filters" ><text>F&amp;ilters</text>
     </Menu>
 
     <Menu name="help" ><text>&amp;Help</text>
--- trunk/extragear/graphics/digikam/utilities/imageeditor/editor/digikamimagewindowui.rc #651471:651472
@@ -45,7 +45,7 @@
     <Menu name="Color" ><text>&amp;Color</text>
     </Menu>
 
-    <Menu name="Correct" ><text>Co&amp;rrect</text>
+    <Menu name="Enhance" ><text>Enh&amp;ance</text>
     </Menu>
 
     <Menu name="Transform" ><text>Tra&amp;nsform</text>
@@ -62,7 +62,7 @@
     <Menu name="Decoration" ><text>&amp;Decoration</text>
     </Menu>
 
-    <Menu name="Effects" ><text>Effec&amp;ts</text>
+    <Menu name="Filters" ><text>F&amp;ilters</text>
     </Menu>
 
     <Menu name="help" ><text>&amp;Help</text>